DAPHNE(1)

NAME
daphne — Django HTTP/WebSocket server

SYNOPSIS

daphne [-h] [-p PORT] [-b HOST] [--websocket_timeout WEBSOCKET_TIME_OUT] [--websocket_connect_timeout WEBSOCKET_CONNECT_TIMEOUT] [-u UNIX_SOCKET] [--fd FILE_DESCRIPTOR] [-e SOCKET_STRINGS] [-v VERBOSITY] [-t HTTP_TIMEOUT] [--access-log ACCESS_LOG] [--ping-interval PING_INTERVAL] [--ping-timeout PING_TIMEOUT] [--ws-protocol WS_PROTOCOLS [WS_PROTOCOLS ...]] [--root-path ROOT_PATH] [--proxy-headers] [--force-sync] [channel_layer]

DESCRIPTION

This manual page documents briefly the daphne command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

daphne is a program that manages the Celery Worker Daemons and their queues.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h                     --help
    Show help message and exit.

-p PORT                     --port PORT
    Port number to listen on.

-b HOST                     --bind HOST
    The host/address to bind to.

--websocket_timeout WEBSOCKET_TIMEOUT
    Maximum time to allow a websocket to be connected. -1 for infinite.

--websocket_connect_timeout WEBSOCKET_CONNECT_TIMEOUT
    Maximum time to allow a connection to handshake. -1 for infinite.

-u UNIX_SOCKET                     --unix-socket UNIX_SOCKET
    Bind to a UNIX socket rather than a TCP host/port.

--fd FILE_DESCRIPTOR
    Bind to a file descriptor rather than a TCP host/port or named unix socket.

-e SOCKET_STRINGS                     --endpoint SOCKET_STRINGS
    Use raw server strings passed directly to twisted.

-v VERBOSITY                     --verbosity VERBOSITY
    How verbose to make the output.

-t HTTP_TIMEOUT                     --http-timeout HTTP_TIMEOUT
    How long to wait for worker server before timing out HTTP connections.

--access-log ACCESS_LOG
    Where to write the access log (- for stdout, the default for verbosity=1).

--ping-interval PING_INTERVAL
    The number of seconds a WebSocket must be idle before a keepalive ping is sent.

--ping-timeout PING_TIMEOUT
    The number of seconds before a WebSocket is closed if no response to a keepalive ping.

--ws-protocol WS_PROTOCOLS [WS_PROTOCOLS]
    The WebSocket protocols you wish to support.

--root-path ROOT_PATH
    The setting for the ASGI root_path variable.

--proxy-headers
    Enable parsing and using of X-Forwarded-For and X-Forwarded-Port headers and using that as the client address.

--force-sync
    Force the server to use synchronous mode on its ASGI channel layer.

ARGUMENTS

channel_layer
    The ASGI channel layer instance to use as path.to.module:instance.path.

AUTHOR

This manual page was written by fladi fladi@debian.org for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.